#include <stdio.h>
#include <stdint.h>
#include <stdlib.h>

#include "day.h"

int main(int argc, char * argv[]) {
    uint64_t day_number;

    if (argc < 2) {
        printf("Advent of **C**ode\n");
        printf("%s DAY_NUMBER", argv[0]);
        return -1;
    }

    day_number = strtol(argv[1], NULL, 10);

    switch (day_number) {
        case 1:
            day_1();
            break;
        case 2:
            day_2();
            break;
        case 3:
            day_3();
            break;
        case 4:
            day_4();
            break;
        default:
            printf("Invalid day ding dong!\n");
            return -2;
    }
}
